/**
* Copyright (c) 2018 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

// Position names
$positions: static, relative, absolute, fixed, sticky;

@each $position in $positions {
  .position-#{$position} { 
    position: $position !important; 
  }
}

// Shorthand

.fixed-top {
  left: 0;
  position: fixed;
  right: 0;
  top: 0;
  z-index: $zindex-fixed;
}

.fixed-bottom {
  bottom: 0;
  left: 0;
  position: fixed;
  right: 0;
  z-index: $zindex-fixed;
}

.sticky-top {
  position: sticky;
  top: 0;
  z-index: $zindex-sticky;
}
